> For the complete documentation index, see [llms.txt](https://developer.topazlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.topazlabs.com/reference/api-endpoints/account/credits.md).

# Credits

The following endpoint can be used to see your current credit balance with Topaz API. If you would like to add more credits to your account, please visit <https://topazlabs.com/my-account/subscriptions/>

## Get Credit Balance

> Allows you to view your current API credit balance.<br>

```json
{"openapi":"3.0.3","info":{"title":"Account API","version":"1.0.0"},"tags":[{"name":"Credits","description":"The following endpoint can be used to see your current credit balance with Topaz API. If you would like to add more credits to your account, please visit https://topazlabs.com/my-account/subscriptions/\n"}],"servers":[{"url":"https://api.topazlabs.com/account/v1","description":"Production Base URL"}],"security":[{"apiKeyAuth":[]}],"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Authentication via the Topaz generated key in the `X-API-Key` header.\n"}},"schemas":{"CreditBalanceResponse":{"type":"object","properties":{"available_credits":{"type":"integer","description":"The number of credits available to you."},"reserved_credits":{"type":"integer","description":"The number of credits reserved by you (if applicable)."},"total_credits":{"type":"integer","description":"The total number of credits in your account (available credits + reserved credits)."}}}}},"paths":{"/credits/balance":{"get":{"tags":["Credits"],"summary":"Get Credit Balance","operationId":"getCreditBalance","description":"Allows you to view your current API credit balance.\n","responses":{"200":{"description":"Credit balance","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreditBalanceResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.topazlabs.com/reference/api-endpoints/account/credits.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
